# Copyright (C) 2011 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

"""Python bindings for the GEIS gesture recognition interface.
"""

__all__ = (
        'Geis', 'Event', 'Filter', 'Subscription',
        'NoMoreEvents',
        'GEIS_STATUS_SUCCESS',
        'GEIS_STATUS_CONTINUE',
        'GEIS_STATUS_EMPTY',
        'GEIS_STATUS_NOT_SUPPORTED',
        'GEIS_STATUS_BAD_ARGUMENT',
        'GEIS_STATUS_UNKNOWN_ERROR',
        'GEIS_ATTR_TYPE_BOOLEAN',
        'GEIS_ATTR_TYPE_FLOAT',
        'GEIS_ATTR_TYPE_INTEGER',
        'GEIS_ATTR_TYPE_POINTER',
        'GEIS_ATTR_TYPE_STRING',
        'GEIS_INIT_SERVICE_PROVIDER',
        'GEIS_INIT_TRACK_DEVICES',
        'GEIS_INIT_TRACK_GESTURE_CLASSES',
        'GEIS_INIT_UTOUCH_MOCK_ENGINE',
        'GEIS_INIT_UTOUCH_XCB',
        'GEIS_CONFIGURATION_FD',
        'GEIS_CONFIG_UTOUCH_MAX_EVENTS',
        'GEIS_EVENT_ATTRIBUTE_DEVICE',
        'GEIS_DEVICE_ATTRIBUTE_NAME',
        'GEIS_DEVICE_ATTRIBUTE_ID',
        'GEIS_DEVICE_ATTRIBUTE_TOUCHES',
        'GEIS_DEVICE_ATTRIBUTE_DIRECT_TOUCH',
        'GEIS_DEVICE_ATTRIBUTE_INDEPENDENT_TOUCH',
        'GEIS_EVENT_ATTRIBUTE_CLASS',
        'GEIS_CLASS_ATTRIBUTE_NAME',
        'GEIS_CLASS_ATTRIBUTE_ID',
        'GEIS_REGION_ATTRIBUTE_WINDOWID',
        'GEIS_REGION_X11_ROOT',
        'GEIS_REGION_X11_WINDOWID',
        'GEIS_EVENT_ATTRIBUTE_GROUPSET',
        'GEIS_EVENT_ATTRIBUTE_TOUCHSET',
        'GEIS_TOUCH_ATTRIBUTE_ID',
        'GEIS_TOUCH_ATTRIBUTE_X',
        'GEIS_TOUCH_ATTRIBUTE_Y',
        'GEIS_EVENT_DEVICE_AVAILABLE',
        'GEIS_EVENT_DEVICE_UNAVAILABLE',
        'GEIS_EVENT_CLASS_AVAILABLE',
        'GEIS_EVENT_CLASS_CHANGED',
        'GEIS_EVENT_CLASS_UNAVAILABLE',
        'GEIS_EVENT_GESTURE_BEGIN',
        'GEIS_EVENT_GESTURE_UPDATE',
        'GEIS_EVENT_GESTURE_END',
        'GEIS_EVENT_INIT_COMPLETE',
        'GEIS_EVENT_USER_DEFINED',
        'GEIS_EVENT_ERROR',
        )

from _geis_bindings import GEIS_STATUS_SUCCESS, \
                           GEIS_STATUS_CONTINUE, \
                           GEIS_STATUS_EMPTY, \
                           GEIS_STATUS_NOT_SUPPORTED, \
                           GEIS_STATUS_BAD_ARGUMENT, \
                           GEIS_STATUS_UNKNOWN_ERROR

from _geis_bindings import GEIS_ATTR_TYPE_BOOLEAN, \
                           GEIS_ATTR_TYPE_FLOAT, \
                           GEIS_ATTR_TYPE_INTEGER, \
                           GEIS_ATTR_TYPE_POINTER, \
                           GEIS_ATTR_TYPE_STRING

from _geis_bindings import GEIS_INIT_SERVICE_PROVIDER, \
                           GEIS_INIT_TRACK_DEVICES, \
                           GEIS_INIT_TRACK_GESTURE_CLASSES, \
                           GEIS_INIT_UTOUCH_MOCK_ENGINE, \
                           GEIS_INIT_UTOUCH_XCB

from _geis_bindings import GEIS_CONFIGURATION_FD, \
                           GEIS_CONFIG_UTOUCH_MAX_EVENTS

from _geis_bindings import GEIS_EVENT_ATTRIBUTE_DEVICE, \
                           GEIS_DEVICE_ATTRIBUTE_NAME, \
                           GEIS_DEVICE_ATTRIBUTE_ID, \
                           GEIS_DEVICE_ATTRIBUTE_TOUCHES, \
                           GEIS_DEVICE_ATTRIBUTE_DIRECT_TOUCH, \
                           GEIS_DEVICE_ATTRIBUTE_INDEPENDENT_TOUCH

from _geis_bindings import GEIS_EVENT_ATTRIBUTE_CLASS, \
                           GEIS_CLASS_ATTRIBUTE_NAME, \
                           GEIS_CLASS_ATTRIBUTE_ID

from _geis_bindings import GEIS_REGION_ATTRIBUTE_WINDOWID, \
                           GEIS_REGION_X11_ROOT, \
                           GEIS_REGION_X11_WINDOWID

from _geis_bindings import GEIS_EVENT_ATTRIBUTE_GROUPSET, \
                           GEIS_EVENT_ATTRIBUTE_TOUCHSET, \
                           GEIS_TOUCH_ATTRIBUTE_ID, \
                           GEIS_TOUCH_ATTRIBUTE_X, \
                           GEIS_TOUCH_ATTRIBUTE_Y

from _geis_bindings import GEIS_EVENT_DEVICE_AVAILABLE, \
                           GEIS_EVENT_DEVICE_UNAVAILABLE, \
                           GEIS_EVENT_CLASS_AVAILABLE, \
                           GEIS_EVENT_CLASS_CHANGED, \
                           GEIS_EVENT_CLASS_UNAVAILABLE, \
                           GEIS_EVENT_GESTURE_BEGIN, \
                           GEIS_EVENT_GESTURE_UPDATE, \
                           GEIS_EVENT_GESTURE_END, \
                           GEIS_EVENT_INIT_COMPLETE, \
                           GEIS_EVENT_USER_DEFINED, \
                           GEIS_EVENT_ERROR

from geis.geis_v2 import Geis, Event, Filter, Subscription, NoMoreEvents

